#include <boost/python.hpp>
#include <boost/thread.hpp>


//Use this class in a c++ funktion that is called from python :   python => c++
class PyRelinquishGIL
{

public:
    PyRelinquishGIL();

    ~PyRelinquishGIL();

    PyRelinquishGIL(const PyRelinquishGIL&) = delete;
    PyRelinquishGIL& operator=(const PyRelinquishGIL&) = delete;

private:
    PyThreadState* m_thread_state;
};
